{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}{{ "label.flux_plural" | trans }}{% endblock %}
{% set _breadcrumb = ['label.flux_plural'] %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if is_granted('flux.create') %}
            <a href="{{ path('flux.create') }}" class="btn btn-primary pull-right"><span class="fa fa-feed"></span> &nbsp;{{ "label.new_flux" | trans }}</a>
        {% endif %}
        <h1>{{ "label.flux_plural" | trans }}</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        {{ form_start(list.form, {'action': app.request.pathinfo, 'method': 'GET'}) }}
                        <table class="table table-responsive table-hover m-b-0">
                            <thead>
                            <tr>
                                {{ knp_pagination_sortable(list.pagination, 'label.flux' | trans, 'f.name') }}
                                {% if is_granted('ROLE_ADMIN') %}
                                    {{ knp_pagination_sortable(list.pagination, 'label.user' | trans, 'u.lastName') }}
                                {% else %}
                                    {{ knp_pagination_sortable(list.pagination, 'label.description' | trans, 'f.description') }}
                                {% endif %}
                                {{ knp_pagination_sortable(list.pagination, 'label.format' | trans, 'o.name') }}
                                {{ knp_pagination_sortable(list.pagination, 'label.update' | trans, 'f.lastProcessAt') }}
                                <th>{{ "label.status" | trans }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="table-filters">
                                <td>{{ form_widget(list.form.name, {'attr': {'class': 'input-sm'}}) }}</td>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <td>{{ form_widget(list.form.fullName, {'attr': {'class': 'input-sm'}}) }}</td>
                                {% else %}
                                    <td>{{ form_widget(list.form.description, {'attr': {'class': 'input-sm'}}) }}</td>
                                {% endif %}
                                <td>{{ form_widget(list.form.outputType, {'attr': {'class': 'input-sm'}}) }}</td>
                                <td>{{ form_widget(list.form.lastProcessAt, {'attr': {'class': 'input-sm', 'disabled': true}}) }}</td>
                                <td>{{ form_widget(list.form.status, {'attr': {'class': 'input-sm'}}) }}</td>
                            </tr>
                            {% for flux in list.items %}
                                <tr>
                                    <td><a href="{{ path('flux.parameters', {id: flux.id}) }}">{{ flux.name }}</a></td>
                                    {% if is_granted('ROLE_ADMIN') %}
                                        <td><a href="{{ path('user.edit', {id: flux.user.id}) }}">{{ flux.user.reverseFullName }}</a></td>
                                    {% else %}
                                        <td><span>{{ flux.description }}</span></td>
                                    {% endif %}
                                    <td><span> {% if flux.outputType | length > 0 %}{{ flux.outputType.name }}{% endif %}</span></td>
                                    <td nowrap>
                                        {% if flux.lastProcessAt > 0 %}
                                            {{ (flux.lastProcessAt | date | moment).calendar() | capitalize }}
                                        {% else %}
                                            -
                                        {% endif %}
                                    </td>
                                    <td>{{ appMacros.flux_status_frame(flux) }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                        {{ form_end(list.form) }}
                    </div>

                    {% if list.pagination | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>{{ "text.flux_no_result" | trans }}</h3>
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    {% if is_granted('ROLE_ADMIN') or list.totalItemCount > page_size %}
                    <div class="box-footer">
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ path('admin.download.export') }}" data-toggle="modal-remote"
                               class="btn btn-default btn-sm pull-left"
                            >
                                <span class="fa fa-download"></span> {{ "label.download_download_report" | trans }}
                            </a>
                        {% endif %}
                        {% if list.totalItemCount > page_size %}
                            {% if is_granted('ROLE_ADMIN', app.user) == 0 %}
                                {{ macros.display_list_position(list, page_size) }}
                            {% endif %}
                            {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                        {% endif %}
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </section>
{% endblock %}